LLVM::Context - Crystal 1.7.1

# class LLVM::Context

- LLVM::Context
- Reference
- Object

##
Defined in:

llvm/context.cr

##
Constructors

- .new(unwrap : LibLLVM::ContextRef, dispose_on_finalize : Bool = true)
- .new

##
Instance Method Summary

- #==(other : self)

  Returns `true` if this reference is the same as other.

- #const_string(string : String) : Value
- #const_struct(values : Array(LLVM::Value), packed = false) : Value
- #double : Type
- #finalize
- #float : Type
- #int(bits : Int) : Type
- #int1 : Type
- #int128 : Type
- #int16 : Type
- #int32 : Type
- #int64 : Type
- #int8 : Type
- #md_node(values : Array(Value)) : Value
- #md_string(value : String) : Value
- #new_builder : Builder
- #new_module(name : String) : Module
- #parse_ir(buf : MemoryBuffer)
- #struct(name : String, packed = false, &) : Type
- #struct(element_types : Array(LLVM::Type), name = nil, packed = false) : Type
- #to_unsafe : LibLLVM::ContextRef
- #void : Type
- #void_pointer : Type

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, initialize initialize, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference) : Bool
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil!(message = nil) not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Constructor Detail

def self.new(unwrap : LibLLVM::ContextRef, dispose_on_finalize : Bool = true) #
def self.new #

##
Instance Method Detail

def ==(other : self) #
Description copied from class Reference

Returns `true` if this reference is the same as other. Invokes `same?`.

def const_string(string : String) : Value #
def const_struct(values : Array(LLVM::Value), packed = false) : Value #
def double : Type #
def finalize #
def float : Type #
def int(bits : Int) : Type #
def int1 : Type #
def int128 : Type #
def int16 : Type #
def int32 : Type #
def int64 : Type #
def int8 : Type #
def md_node(values : Array(Value)) : Value #
def md_string(value : String) : Value #
def new_builder : Builder #
def new_module(name : String) : Module #
def parse_ir(buf : MemoryBuffer) #
def struct(name : String, packed = false, &) : Type #
def struct(element_types : Array(LLVM::Type), name = nil, packed = false) : Type #
def to_unsafe : LibLLVM::ContextRef #
def void : Type #
def void_pointer : Type #